#!/bin/bash
mbtts=mbtts-0.97.9.zip
orca=orca-3.0.1.tar.bz2
patch=${orca%.tar.bz2}-jp-002.patch
database_list="jp1-000314 jp2-270202 jp3"
sudo apt-get install mbrola
sudo apt-get install mecab
sudo apt-get install libmecab-dev
sudo apt-get install g++
sudo apt-get install python-dev
sudo apt-get install python-pygame
sudo apt-get install mecab-ipadic-utf8
sudo apt-get install intltool
n=$mbtts
if [ ! -e $n ]; then
	wget http://neu101.up.seesaa.net/etc/$n
fi
if [ -e $n ]; then
	unzip -o $n
fi
if [ -d ${mbtts%.zip} ]; then
	cd ${mbtts%.zip}
	sudo python setup.py install
	cd ..
fi
for i in $database_list; do
	j=${i:0:3}
	if [ ! -e $i.zip ]; then
		wget http://tcts.fpms.ac.be/synthesis/mbrola/dba/$j/$i.zip
	fi
	if [ ! -d $j ]; then
		unzip -o $i.zip
	fi
	if [ ! -d ~/.mbtts/$j ]; then
		cp -r $j ~/.mbtts/$j/
	fi
done
n=$orca
if [ ! -e $n ]; then
	d=`echo $orca | sed -e 's/orca-\([0-9.]*\)\.[0-9]*\.tar\.bz2/\1/'`
	wget http://ftp.acc.umu.se/pub/GNOME/sources/orca/$d/$n
fi
if [ -e $n ]; then
	tar xvfj $n
fi
patch -p0 < $patch
if [ -d ${orca%.tar.bz2} ]; then
	cd ${orca%.tar.bz2}
	./configure
	make
	sudo make install
	cd ..
fi

